﻿using System.Windows;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.Calendar;

namespace CalendarSelectors
{
	public class EventDayStyleSelector : StyleSelector
	{
		public Style EventStyle { get; set; }

		public override Style SelectStyle(object item, DependencyObject container)
		{
			var content = item as CalendarButtonContent;

			foreach (Event e in this.EventsCollection)
			{
				if (e.Date == content.Date)
				{
					return this.EventStyle;
				}
			}

			return base.SelectStyle(item, container);
		}

		public EventsCollection EventsCollection
		{
			get;
			set;
		}
	}
}
